# rawpcmplay-stereo-8bit: dummy ActionScript-based sound-playing Flash file
# Written (2015) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
# 
# Released under Creative Commons Public Domain Dedication 1.0
# (https://creativecommons.org/publicdomain/zero/1.0/)

rawpcmplay-stereo-8bit.swf: rawpcmplay.as rawpcmplay-stereo-8bit.lib.swf
	mtasc -version 8 -swf rawpcmplay-stereo-8bit.lib.swf -out $@ -main $<

.DELETE_ON_ERROR: rawpcmplay-stereo-8bit.swf rawpcmplay-stereo-8bit.lib.swf rawpcmplay-stereo-8bit.lib.xml pcmplay-stereo-8bit.lib.xml pcmplay-stereo-8bit.lib.swf

rawpcmplay-stereo-8bit.lib.swf: rawpcmplay-stereo-8bit.lib.xml
	swfmill xml2swf $< $@

rawpcmplay-stereo-8bit.lib.xml: pcmplay-stereo-8bit.lib.xml
	sed '/\(<DefineSound\s[^>]*\)format="3"\([^>]*>\)/{s//\1format="0"\2/;h}; $${x;/./{x;q0};x;q1}' < $< > $@

pcmplay-stereo-8bit.lib.xml: pcmplay-stereo-8bit.lib.swf
	swfmill swf2xml $< $@

pcmplay-stereo-8bit.lib.swf: pcmplay-stereo-8bit.xml siren-stereo-8bit.wav
	swfmill simple $< $@

clean:
	rm -f rawpcmplay-stereo-8bit.swf
	rm -f rawpcmplay-stereo-8bit.lib.swf
	rm -f rawpcmplay-stereo-8bit.lib.xml
	rm -f pcmplay-stereo-8bit.lib.xml
	rm -f pcmplay-stereo-8bit.lib.swf
