# rawpcmplayle-stereo: dummy ActionScript-based sound-playing Flash file
# Written (2015) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
# 
# Released under Creative Commons Public Domain Dedication 1.0
# (https://creativecommons.org/publicdomain/zero/1.0/)

rawpcmplayle-stereo.swf: rawpcmplay.as rawpcmplayle-stereo.lib.swf
	mtasc -version 8 -swf rawpcmplayle-stereo.lib.swf -out $@ -main $<

.DELETE_ON_ERROR: rawpcmplayle-stereo.swf rawpcmplayle-stereo.lib.swf rawpcmplayle-stereo.lib.xml pcmplay-stereo.lib.xml pcmplay-stereo.lib.swf

rawpcmplayle-stereo.lib.swf: rawpcmplayle-stereo.lib.xml
	swfmill xml2swf $< $@

rawpcmplayle-stereo.lib.xml: pcmplay-stereo.lib.xml
	sed '/\(<DefineSound\s[^>]*\)format="3"\([^>]*>\)/{s//\1format="0"\2/;h}; $${x;/./{x;q0};x;q1}' < $< > $@

pcmplay-stereo.lib.xml: pcmplay-stereo.lib.swf
	swfmill swf2xml $< $@

pcmplay-stereo.lib.swf: pcmplay-stereo.xml siren-stereo.wav
	swfmill simple $< $@

clean:
	rm -f rawpcmplayle-stereo.swf
	rm -f rawpcmplayle-stereo.lib.swf
	rm -f rawpcmplayle-stereo.lib.xml
	rm -f pcmplay-stereo.lib.xml
	rm -f pcmplay-stereo.lib.swf
