# rawpcmplayle: dummy ActionScript-based sound-playing Flash file
# Written (2015) by Nutchanon Wetchasit <Nutchanon.Wetchasit@gmail.com>
# 
# Released under Creative Commons Public Domain Dedication 1.0
# (https://creativecommons.org/publicdomain/zero/1.0/)

rawpcmplayle.swf: rawpcmplay.as rawpcmplayle.lib.swf
	mtasc -version 8 -swf rawpcmplayle.lib.swf -out $@ -main $<

.DELETE_ON_ERROR: rawpcmplayle.swf rawpcmplayle.lib.swf rawpcmplayle.lib.xml pcmplay.lib.xml pcmplay.lib.swf

rawpcmplayle.lib.swf: rawpcmplayle.lib.xml
	swfmill xml2swf $< $@

rawpcmplayle.lib.xml: pcmplay.lib.xml
	sed '/\(<DefineSound\s[^>]*\)format="3"\([^>]*>\)/{s//\1format="0"\2/;h}; $${x;/./{x;q0};x;q1}' < $< > $@

pcmplay.lib.xml: pcmplay.lib.swf
	swfmill swf2xml $< $@

pcmplay.lib.swf: pcmplay.xml siren.wav
	swfmill simple $< $@

clean:
	rm -f rawpcmplayle.swf
	rm -f rawpcmplayle.lib.swf
	rm -f rawpcmplayle.lib.xml
	rm -f pcmplay.lib.xml
	rm -f pcmplay.lib.swf
